cncf - interactive-landscape 1.0.483 dependencies status

Visualization tool for building interactive landscapes

  • 139 Dependencies total
  • 104 Up to date
  • 33 Pinned, out of date
  • 2 Out of date
DependencyChangesRequiredStableLatestStatus
@babel/cli
    7.10.57.11.67.11.6
    @babel/core
      7.11.07.11.67.11.6
      @babel/node
        7.10.57.10.57.10.5
        @babel/plugin-proposal-class-properties
          7.10.47.10.47.10.4
          @babel/plugin-proposal-decorators
            7.10.57.10.57.10.5
            @babel/plugin-proposal-do-expressions
              7.10.47.10.47.10.4
              @babel/plugin-proposal-export-default-from
                7.10.47.10.47.10.4
                @babel/plugin-proposal-export-namespace-from
                  7.10.47.10.47.10.4
                  @babel/plugin-proposal-function-bind
                    7.10.57.11.57.11.5
                    @babel/plugin-proposal-function-sent
                      7.10.47.10.47.10.4
                      @babel/plugin-proposal-json-strings
                        7.10.47.10.47.10.4
                        @babel/plugin-proposal-logical-assignment-operators
                          7.11.07.11.07.11.0
                          @babel/plugin-proposal-nullish-coalescing-operator
                            7.10.47.10.47.10.4
                            @babel/plugin-proposal-numeric-separator
                              7.10.47.10.47.10.4
                              @babel/plugin-proposal-optional-chaining
                                7.11.07.11.07.11.0
                                @babel/plugin-proposal-pipeline-operator
                                  7.10.57.10.57.10.5
                                  @babel/plugin-proposal-throw-expressions
                                    7.10.47.10.47.10.4
                                    @babel/plugin-syntax-dynamic-import
                                      7.8.37.8.37.8.3
                                      @babel/plugin-syntax-import-meta
                                        7.10.47.10.47.10.4
                                        @babel/plugin-transform-async-to-generator
                                          7.10.47.10.47.10.4
                                          @babel/plugin-transform-react-constant-elements
                                            7.10.47.10.47.10.4
                                            @babel/plugin-transform-regenerator
                                              7.10.47.10.47.10.4
                                              @babel/plugin-transform-runtime
                                                7.11.07.11.57.11.5
                                                @babel/polyfill
                                                  7.10.47.11.57.11.5
                                                  @babel/preset-env
                                                    7.11.07.11.57.11.5
                                                    @babel/preset-react
                                                      7.10.47.10.47.10.4
                                                      @babel/register
                                                        7.10.57.11.57.11.5
                                                        @babel/runtime
                                                          ^7.11.07.11.27.11.2
                                                          @date-io/date-fns
                                                            1.3.132.10.62.10.6
                                                            @material-ui/core
                                                              4.11.04.11.05.0.0-alpha.10
                                                              @material-ui/icons
                                                                4.9.14.9.15.0.0-alpha.7
                                                                @material-ui/lab
                                                                  4.0.0-alpha.565.0.0-alpha.10
                                                                  @material-ui/pickers
                                                                    3.2.103.2.104.0.0-alpha.12
                                                                    @rooks/use-window-size
                                                                      3.6.03.6.03.6.1-canary.2
                                                                      autoprefixer
                                                                        ^9.8.610.0.010.0.0
                                                                        axe-puppeteer
                                                                          1.1.01.1.01.1.0-canary.1738b946
                                                                          babel-eslint
                                                                            10.1.010.1.011.0.0-beta.2
                                                                            babel-jest
                                                                              26.2.226.3.026.3.0
                                                                              babel-loader
                                                                                8.1.08.1.08.1.0
                                                                                babel-plugin-lodash
                                                                                  3.3.43.3.43.3.4
                                                                                  babel-plugin-module-resolver
                                                                                    4.0.04.0.04.0.0
                                                                                    babel-plugin-root-import
                                                                                      6.5.06.5.06.5.0
                                                                                      babel-plugin-transform-react-remove-prop-types
                                                                                        0.4.240.4.240.4.24
                                                                                        babel-polyfill
                                                                                          6.26.06.26.07.0.0-beta.3
                                                                                          babel-preset-latest-node
                                                                                            4.1.05.0.05.0.0
                                                                                            bluebird
                                                                                              3.7.23.7.23.7.2
                                                                                              caniuse-lite
                                                                                                ^1.0.300011091.0.300011361.0.30001136
                                                                                                chalk
                                                                                                  4.1.04.1.04.1.0
                                                                                                  change-case
                                                                                                    4.1.14.1.14.1.1
                                                                                                    chart.js
                                                                                                      2.9.32.9.33.0.0-beta
                                                                                                      chartjs-adapter-date-fns
                                                                                                        1.0.01.0.01.1.0-alpha.3
                                                                                                        classnames
                                                                                                          2.2.62.2.62.2.6
                                                                                                          colors
                                                                                                            1.4.01.4.01.4.0
                                                                                                            connect
                                                                                                              3.7.03.7.03.7.0
                                                                                                              connect-history-api-fallback
                                                                                                                1.6.01.6.01.6.0
                                                                                                                connected-react-router
                                                                                                                  6.8.06.8.06.8.0
                                                                                                                  css-loader
                                                                                                                    4.2.04.3.04.3.0
                                                                                                                    cssnano
                                                                                                                      4.1.104.1.104.0.0-nightly.2020.9.9
                                                                                                                      current-device
                                                                                                                        0.10.10.10.10.10.1
                                                                                                                        date-fns
                                                                                                                          2.15.02.16.12.16.1
                                                                                                                          debug
                                                                                                                            4.1.14.2.04.3.0
                                                                                                                            ejs
                                                                                                                              3.1.33.1.53.1.5
                                                                                                                              ejs-loader
                                                                                                                                0.5.00.5.00.5.0
                                                                                                                                eslint
                                                                                                                                  7.6.07.9.07.9.0
                                                                                                                                  eslint-plugin-import
                                                                                                                                    2.22.02.22.02.22.0
                                                                                                                                    eslint-plugin-react
                                                                                                                                      7.20.57.21.17.21.1
                                                                                                                                      eslint-watch
                                                                                                                                        7.0.07.0.07.0.0
                                                                                                                                        event-emitter
                                                                                                                                          0.3.50.3.50.3.5
                                                                                                                                          expect-puppeteer
                                                                                                                                            ^4.4.04.4.04.4.0
                                                                                                                                            express
                                                                                                                                              ^4.17.14.17.15.0.0-alpha.8
                                                                                                                                              extract-zip
                                                                                                                                                2.0.12.0.12.0.1
                                                                                                                                                favicons-webpack-plugin
                                                                                                                                                  4.2.04.2.04.2.0
                                                                                                                                                  feed
                                                                                                                                                    4.2.14.2.14.2.1
                                                                                                                                                    file-loader
                                                                                                                                                      6.0.06.1.06.1.0
                                                                                                                                                      format-number
                                                                                                                                                        3.0.03.0.03.0.0
                                                                                                                                                        git-branch
                                                                                                                                                          2.0.12.0.12.0.1
                                                                                                                                                          history
                                                                                                                                                            4.10.15.0.05.0.0
                                                                                                                                                            iframe-resizer
                                                                                                                                                              4.2.114.2.114.2.11
                                                                                                                                                              jest
                                                                                                                                                                26.2.226.4.226.4.2
                                                                                                                                                                jest-cli
                                                                                                                                                                  26.2.226.4.226.4.2
                                                                                                                                                                  jest-puppeteer
                                                                                                                                                                    4.4.04.4.04.4.0
                                                                                                                                                                    jest-standard-reporter
                                                                                                                                                                      1.0.41.1.11.1.1
                                                                                                                                                                      js-yaml
                                                                                                                                                                        3.14.03.14.03.14.0
                                                                                                                                                                        jsdom
                                                                                                                                                                          ^16.3.016.4.016.4.0
                                                                                                                                                                          json-loader
                                                                                                                                                                            0.5.70.5.70.5.7
                                                                                                                                                                            json2csv
                                                                                                                                                                              5.0.15.0.35.0.3
                                                                                                                                                                              lodash
                                                                                                                                                                                ^4.17.194.17.204.17.20
                                                                                                                                                                                measure-text-width
                                                                                                                                                                                  0.0.40.0.40.0.4
                                                                                                                                                                                  millify
                                                                                                                                                                                    3.3.03.3.03.3.0
                                                                                                                                                                                    mini-css-extract-plugin
                                                                                                                                                                                      0.9.00.11.20.11.2
                                                                                                                                                                                      minimatch
                                                                                                                                                                                        3.0.43.0.43.0.4
                                                                                                                                                                                        node-emoji
                                                                                                                                                                                          1.10.01.10.01.10.0
                                                                                                                                                                                          node-sass
                                                                                                                                                                                            4.14.14.14.14.14.1
                                                                                                                                                                                            open
                                                                                                                                                                                              7.1.07.2.17.2.1
                                                                                                                                                                                              pnp-webpack-plugin
                                                                                                                                                                                                ^1.6.41.6.41.6.4
                                                                                                                                                                                                postcss-loader
                                                                                                                                                                                                  3.0.04.0.24.0.2
                                                                                                                                                                                                  prop-types
                                                                                                                                                                                                    15.7.215.7.215.7.2
                                                                                                                                                                                                    puppeteer
                                                                                                                                                                                                      patch:puppeteer@5.0.0#./puppeteer.patch5.3.15.3.1
                                                                                                                                                                                                      query-string
                                                                                                                                                                                                        6.13.16.13.26.13.2
                                                                                                                                                                                                        raf
                                                                                                                                                                                                          3.4.13.4.13.4.1
                                                                                                                                                                                                          react
                                                                                                                                                                                                            16.13.116.13.117.0.0-rc.2
                                                                                                                                                                                                            react-chartjs-2
                                                                                                                                                                                                              2.10.02.10.02.10.0
                                                                                                                                                                                                              react-dom
                                                                                                                                                                                                                16.13.116.13.117.0.0-rc.2
                                                                                                                                                                                                                react-ga
                                                                                                                                                                                                                  ^3.1.23.1.23.1.2
                                                                                                                                                                                                                  react-hot-loader
                                                                                                                                                                                                                    4.12.214.13.04.13.0
                                                                                                                                                                                                                    react-key-handler
                                                                                                                                                                                                                      1.2.0-beta.31.1.01.2.0-beta.3
                                                                                                                                                                                                                      react-redux
                                                                                                                                                                                                                        7.2.17.2.17.2.1
                                                                                                                                                                                                                        react-router
                                                                                                                                                                                                                          5.2.05.2.06.0.0-beta.0
                                                                                                                                                                                                                          react-router-dom
                                                                                                                                                                                                                            5.2.05.2.06.0.0-beta.0
                                                                                                                                                                                                                            react-snap
                                                                                                                                                                                                                              1.23.01.23.01.23.0
                                                                                                                                                                                                                              react-test-renderer
                                                                                                                                                                                                                                16.13.116.13.117.0.0-rc.2
                                                                                                                                                                                                                                react-twitter-widgets
                                                                                                                                                                                                                                  1.9.51.9.51.9.5
                                                                                                                                                                                                                                  recompose
                                                                                                                                                                                                                                    0.30.00.30.00.30.0
                                                                                                                                                                                                                                    redux
                                                                                                                                                                                                                                      4.0.54.0.54.0.5
                                                                                                                                                                                                                                      redux-immutable-state-invariant
                                                                                                                                                                                                                                        2.1.02.1.02.1.0
                                                                                                                                                                                                                                        redux-mock-store
                                                                                                                                                                                                                                          1.5.41.5.41.5.4
                                                                                                                                                                                                                                          redux-thunk
                                                                                                                                                                                                                                            2.3.02.3.02.3.0
                                                                                                                                                                                                                                            regenerator-runtime
                                                                                                                                                                                                                                              ^0.13.70.13.70.13.7
                                                                                                                                                                                                                                              relative-date
                                                                                                                                                                                                                                                1.1.31.1.32.0.0
                                                                                                                                                                                                                                                request
                                                                                                                                                                                                                                                  2.88.22.88.22.88.2
                                                                                                                                                                                                                                                  request-promise
                                                                                                                                                                                                                                                    4.2.64.2.64.2.6
                                                                                                                                                                                                                                                    reselect
                                                                                                                                                                                                                                                      4.0.04.0.04.0.0
                                                                                                                                                                                                                                                      rimraf
                                                                                                                                                                                                                                                        3.0.23.0.23.0.2
                                                                                                                                                                                                                                                        sass-loader
                                                                                                                                                                                                                                                          ^9.0.210.0.210.0.2
                                                                                                                                                                                                                                                          serve-static
                                                                                                                                                                                                                                                            1.14.11.14.11.14.1
                                                                                                                                                                                                                                                            sitemap
                                                                                                                                                                                                                                                              ^6.2.06.3.26.3.2
                                                                                                                                                                                                                                                              style-loader
                                                                                                                                                                                                                                                                1.2.11.2.11.2.1
                                                                                                                                                                                                                                                                svg-autocrop
                                                                                                                                                                                                                                                                  ^2.0.342.0.352.0.35
                                                                                                                                                                                                                                                                  terser-webpack-plugin
                                                                                                                                                                                                                                                                    3.0.84.2.24.2.2
                                                                                                                                                                                                                                                                    traverse
                                                                                                                                                                                                                                                                      0.6.60.6.60.6.6
                                                                                                                                                                                                                                                                      typeface-roboto
                                                                                                                                                                                                                                                                        ^0.0.750.0.750.0.75
                                                                                                                                                                                                                                                                        url-loader
                                                                                                                                                                                                                                                                          4.1.04.1.04.1.0
                                                                                                                                                                                                                                                                          webpack
                                                                                                                                                                                                                                                                            4.44.14.44.25.0.0-rc.0
                                                                                                                                                                                                                                                                            webpack-bundle-analyzer
                                                                                                                                                                                                                                                                              3.8.03.9.03.9.0
                                                                                                                                                                                                                                                                              webpack-dev-middleware
                                                                                                                                                                                                                                                                                3.7.23.7.24.0.0-rc.3
                                                                                                                                                                                                                                                                                webpack-hot-middleware
                                                                                                                                                                                                                                                                                  2.25.02.25.02.25.0
                                                                                                                                                                                                                                                                                  webpack-md5-hash
                                                                                                                                                                                                                                                                                    0.0.60.0.60.0.6
                                                                                                                                                                                                                                                                                    yaml-loader
                                                                                                                                                                                                                                                                                      0.6.00.6.00.6.0
                                                                                                                                                                                                                                                                                      yarn
                                                                                                                                                                                                                                                                                        1.22.41.22.52.0.0-rc.27
                                                                                                                                                                                                                                                                                        • 139 Dependencies total
                                                                                                                                                                                                                                                                                        • 104 Up to date
                                                                                                                                                                                                                                                                                        • 33 Pinned, out of date
                                                                                                                                                                                                                                                                                        • 2 Out of date